<?php defined('SYSPATH') or die('No direct script access.');

class Model_Semesters extends Model
{
    public static function factory() {
        return new self();
    }

    public function getSemesterInfo($id) {
        $sql = "CALL `GetSemesterInfo`('$id'); ";
        return DB::query(Database::SELECT, $sql)->execute()->offsetGet(0);
    }

    public function getSemesters() {
        $sql = "CALL `GetSemesters`()";
        return DB::query(Database::SELECT, $sql)->execute();
    }

    public function bySemester($SemesterID) {
        $departaments = $this->getSemesterInfo($SemesterID);
        return new DataArray_Result($departaments);
    }

    public function getList() {
        $semesters = $this->getSemesters();
        $semestersHandled = array();
        $i = 0;
        foreach ($semesters as $value) {
            $semestersHandled[$i] = $value;
            $semestersHandled[$i]['Num'] = $value['Num'] == 1 ? 'Осенний' : 'Весенний';
            $i++;
        }
        return $semestersHandled;
    }
}